- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::AsciiValue Class Reference

Value for an Ascii string type. More...

`#include <value.hpp>`

Inheritance diagram for Exiv2::AsciiValue:

[legend]
Collaboration diagram for Exiv2::AsciiValue:

[legend]
List of all members.

## Public Types
typedef std::auto_ptr< AsciiValue > | AutoPtr
| Shortcut for a AsciiValue auto pointer.
## Public Member Functions
Creators
| AsciiValue ()
| Default constructor.
| AsciiValue (const std::string &buf)
| Constructor.
| AsciiValue (const AsciiValue &rhs)
| Copy constructor.
virtual | ~AsciiValue ()
| Virtual destructor.
Manipulators
AsciiValue & | operator= (const AsciiValue &rhs)
| Assignment operator.
virtual int | read (const std::string &buf)
| Set the value to that of the string buf. Overrides base class to append a terminating '\0' character if buf doesn't end with '\0'.
Accessors
AutoPtr | clone () const
| Return an auto-pointer to a copy of itself (deep copy). The caller owns this copy and the auto-pointer ensures that it will be deleted.
virtual std::ostream & | write (std::ostream &os) const
| Write the value to an output stream. Any trailing '\0' characters of the ASCII value are stripped and not written to the output stream.

## Detailed Description

Value for an Ascii string type.

This class is for null terminated single byte Ascii strings. This class also ensures that the string is null terminated.

The documentation for this class was generated from the following files:

- value.hpp
- value.cpp